using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class IBaseMonoBehaviour : MonoBehaviour
{
    private bool isFirstUpdateFlg = false;
    // Start is called before the first frame update
    void Start()
    {
    }
    // Update is called once per frame
    protected void Update()
    {
        if(isFirstUpdateFlg == false)
        {
            onFirstUpdateHandler();
            isFirstUpdateFlg = true;
        }
    }
    void onFirstUpdateHandler()
    {
    }    
}
